Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.payment
Interface TransactionResponseConstants

All Known Implementing Classes:
  TransactionResponse

public interface TransactionResponseConstants

Field Summary
`static java.lang.String` | `ACTION`
`static java.lang.String` | `AUTHORIZATION_FAILED`
`static int` | `AUTHORIZED`
`static java.lang.String` | `CAPTURE_ERROR`
`static java.lang.String` | `CONFIGURATION_ERROR`
`static java.lang.String` | `CREDITCARD_INVALID`
`static java.lang.String` | `EXCEPTION`
`static int` | `FAILURE`
`static java.lang.String` | `GENERAL_SERVICE_ERROR`
`static int` | `MARKEDFORSETTLE`
`static int` | `NOSTATUS`
`static java.lang.String` | `OK`
`static int` | `PENDINGSETTLE`
`static int` | `REJECTED`
`static int` | `RETRY`
`static java.lang.String` | `ROLLBACK`
`static java.lang.String` | `SERVICE_UNAVAILABLE_ERROR`
`static java.lang.String` | `SETTLE_ERROR`
`static int` | `SETTLED`
`static int` | `SETTLEFAILED`
`static java.lang.String` | `SYSTEM_ERROR`

Field Detail

### NOSTATUS

    public static final int NOSTATUS

### AUTHORIZED

    public static final int AUTHORIZED

### SETTLEFAILED

    public static final int SETTLEFAILED

### MARKEDFORSETTLE

    public static final int MARKEDFORSETTLE

### PENDINGSETTLE

    public static final int PENDINGSETTLE

### SETTLED

    public static final int SETTLED

### FAILURE

    public static final int FAILURE

### REJECTED

    public static final int REJECTED

### RETRY

    public static final int RETRY

### OK

    public static final java.lang.String OK

### EXCEPTION

    public static final java.lang.String EXCEPTION

### ACTION

    public static final java.lang.String ACTION

### ROLLBACK

    public static final java.lang.String ROLLBACK

### CAPTURE_ERROR

    public static final java.lang.String CAPTURE_ERROR

### SYSTEM_ERROR

    public static final java.lang.String SYSTEM_ERROR

### SERVICE_UNAVAILABLE_ERROR

    public static final java.lang.String SERVICE_UNAVAILABLE_ERROR

### CREDITCARD_INVALID

    public static final java.lang.String CREDITCARD_INVALID

### AUTHORIZATION_FAILED

    public static final java.lang.String AUTHORIZATION_FAILED

### CONFIGURATION_ERROR

    public static final java.lang.String CONFIGURATION_ERROR

### GENERAL_SERVICE_ERROR

    public static final java.lang.String GENERAL_SERVICE_ERROR

### SETTLE_ERROR

    public static final java.lang.String SETTLE_ERROR

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved